summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gethyn ThomasQuail2015-08-04 20:58:28 +0200
committer Willy Sudiarto Raharjo2015-08-05 13:43:13 +0200
commitc5bf33a2476d5323b991ca2a41f4135d1284e451 (patch)
treeb14defb1c2f1437a69a67e6983c478d6d71ab0b4
parentadc785c7c8382bef905d21bd7087d089d52a099d (diff)
downloadslackbuilds-c5bf33a2476d5323b991ca2a41f4135d1284e451.tar.gz
desktop/Window_Manager_Scripts: Added (WM Agnostic Shell Scripts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/Window_Manager_Scripts/README8
-rw-r--r--desktop/Window_Manager_Scripts/Window_Manager_Scripts.SlackBuild66
-rw-r--r--desktop/Window_Manager_Scripts/Window_Manager_Scripts.info10
-rw-r--r--desktop/Window_Manager_Scripts/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/desktop/Window_Manager_Scripts/README b/desktop/Window_Manager_Scripts/README
new file mode 100644
index 0000000000..2e77170f0a
--- /dev/null
+++ b/desktop/Window_Manager_Scripts/README
@@ -0,0 +1,8 @@
+Window-Manager-Scripts is a series of window manager agnostic shell scripts. They're intended to be
+lightweight, relying on few deps as possible and include a configuration file for easy customization.
+
+Optional requirements: cURL recompiled with OpenSSL support for SFTP image uploading, xclip to copy
+the uploaded image URL to clipboard, and xwinwrap if you want to use video backgrounds.
+
+Note: Copy the ".xyscripts" from the /usr/doc folder, place it in your home folder, and customize
+it your liking.
diff --git a/desktop/Window_Manager_Scripts/Window_Manager_Scripts.SlackBuild b/desktop/Window_Manager_Scripts/Window_Manager_Scripts.SlackBuild
new file mode 100644
index 0000000000..b60a7b46aa
--- /dev/null
+++ b/desktop/Window_Manager_Scripts/Window_Manager_Scripts.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for Window-Manager-Scripts
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Window_Manager_Scripts
+RPRGNAM=Window-Manager-Scripts # Real Program Name
+VERSION=${VERSION:-e8d3685da9e07a97823047a3c3685b298b968ec2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $RPRGNAM-$VERSION
+unzip $CWD/$RPRGNAM-$VERSION.zip || unzip $CWD/$VERSION.zip
+cd $RPRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Copy over shell scripts to bin
+mkdir -p $PKG/usr/bin
+cp -a batterylow importadvanced timer-xy videobackground $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.Credits README.md .xyscripts $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/Window_Manager_Scripts/Window_Manager_Scripts.info b/desktop/Window_Manager_Scripts/Window_Manager_Scripts.info
new file mode 100644
index 0000000000..0272529ea2
--- /dev/null
+++ b/desktop/Window_Manager_Scripts/Window_Manager_Scripts.info
@@ -0,0 +1,10 @@
+PRGNAM="Window_Manager_Scripts"
+VERSION="e8d3685da9e07a97823047a3c3685b298b968ec2"
+HOMEPAGE="https://github.com/Xylemon/Window-Manager-Scripts/"
+DOWNLOAD="https://github.com/Xylemon/Window-Manager-Scripts/archive/e8d3685da9e07a97823047a3c3685b298b968ec2.zip"
+MD5SUM="1ede760b516ad6d592fbe2d4c81dd483"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/desktop/Window_Manager_Scripts/slack-desc b/desktop/Window_Manager_Scripts/slack-desc
new file mode 100644
index 0000000000..0a09a2590f
--- /dev/null
+++ b/desktop/Window_Manager_Scripts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+Window_Manager_Scripts: Window_Manager_Scripts (WM Agnostic Shell Scripts)
+Window_Manager_Scripts:
+Window_Manager_Scripts: Window-Manager-Scripts is a series of window manager agnostic shell
+Window_Manager_Scripts: scripts. They're intended to be lightweight, relying on few deps as
+Window_Manager_Scripts: possible and include a configuration file for easy customization.
+Window_Manager_Scripts:
+Window_Manager_Scripts: Homepage: https://github.com/Xylemon/Window-Manager-Scripts/
+Window_Manager_Scripts:
+Window_Manager_Scripts:
+Window_Manager_Scripts:
+Window_Manager_Scripts: